Author Topic: dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS  (Read 3095 times)

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
linux-image-generic-hwe-16.04
* Ubuntu 16.04.3 with a new HardWare Enablement (HWE) stack which includes an updated kernel *

2.7 dev branch, use at your own risk

Qt 5 and CLI version 16.04.3 Ubuntu LTS 64-Bit only

Build on core i7 and uploaded to dropbox.com, downloads available for approx. 1 month
As the Git gets updated, I compile these and included in the upload are:

    avidemux3-core-2.7.0--YYMMDD-runtime.deb
    avidemux3-plugins-COMMON-2.7.0-YYMMDD-plugins.deb
    avidemux3-qt5-2.7.0-YYMMDD-runtime.deb
    avidemux3-plugins-QT5-2.7.0-YYMMDD-plugins.deb
    avidemux3-cli-2.7.0-YYMMDD-runtime.deb
    avidemux3-plugins-CLI-2.7.0-YYMMDD-plugins.deb
    avidemux3-settings-2.7.0-YYMMDD-settings.deb

64-bit Current 171216: latest download (+- 11 MB click here)

unpack above archive, change directory into that folder and install:
Code: [Select]
sudo dpkg -i *.deb
desktop QT5 shortcut download: avidemux desktop link
avidemux icon download: Icon for above desktoplink (properties)]

Nightly versions currently available at nightly: univeral app, osx qt5, snapshot, win64, win32]
« Last Edit: December 16, 2017, 06:21:43 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #1 on: August 07, 2017, 08:34:56 AM »
8166390            [build] Style the release changelog like in the last release, edit a few entries
40bf418            [build] Begin to fill in changelog

ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170807-64bit HWE Xenial with x265 version 1.9

build against:
- Linux 4.10.0-30-generic (linux-image-4.10.0-30-generic                4.10.0-30.34~16.04.1)
- NVIDIA VDPAU Driver Shared Library  384.59 (open source)
- libva info: VA-API version: 0.39.0 (libva 1.7.0)
_________ Driver version: Splitted-Desktop Systems VDPAU backend for VA-API - 0.7.4
- x264 0.148.2643 5c65704
 (libswscale 3.1.101)
 (libavformat 56.40.101)
 (ffmpegsource 2.22.0.0)

x264 configuration: --bit-depth=8 --chroma-format=all
libx264 configuration: --bit-depth=8 --chroma-format=all

- x265 [info]: HEVC encoder version 1.9
- x265 [info]: build info [Linux][GCC 5.3.1][64 bit] 8bit+10bit+12bit
- x265 [info]: using cpu capabilities: MMX2 SSE2Fast SSSE3 SSE4.2 AVX
« Last Edit: August 23, 2017, 06:49:08 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #2 on: August 08, 2017, 04:33:50 AM »
0f394e8            [build/win32] Package the right stylesheet for releases
9980775            Merge remote-tracking branch 'eumagga0x2a/nav-slider-to-click-pos'

ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170808-64bit HWE Xenial with x265 version 1.9
« Last Edit: August 08, 2017, 10:33:04 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #3 on: August 09, 2017, 04:34:41 AM »
bf7f7f4            [delogo] Resize the rubberband even if we ignore new values + remove redundant rubberband resizing from download()
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170809-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #4 on: August 14, 2017, 03:45:42 AM »
02206e8            [i18n] Regenerate translation files, correct one German translation
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170813-64bit HWE Xenial with x265 version 1.9

build against:
- Linux 4.10.0-32-generic (linux-image-4.10.0-32-generic                4.10.0-32.36~16.04.1) <= CHANGED

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
RC dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #5 on: August 14, 2017, 12:39:10 PM »
2f928e7            [rc] 2.7.0
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170814-64bit HWE Xenial with x265 version 1.9
« Last Edit: August 15, 2017, 08:26:59 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #6 on: August 15, 2017, 08:31:20 AM »
5ee3a43            Merge remote-tracking branch 'eumagga/restyled-changelog'
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170815-64bit HWE Xenial with x265 version 1.9
« Last Edit: October 03, 2017, 06:18:21 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #7 on: August 16, 2017, 04:56:17 AM »
52de5d5            [core] Bump FFmpeg to 3.3.3
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170816-64bit HWE Xenial with x265 version 1.9
« Last Edit: October 03, 2017, 06:18:41 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #8 on: August 21, 2017, 02:33:40 PM »
b20b248            [fadeToBlack] Reset invalid start and end values, default to the total duration for the end value
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170821-64bit HWE Xenial with x265 version 1.9

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #9 on: August 23, 2017, 04:27:30 AM »
dec94a1            [coreMuxeR/ffmpeg] Also accept LPCM
4216dee            [prefs] Remove obsolete output preferences

ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170823-64bit HWE Xenial with x265 version 1.9
« Last Edit: October 03, 2017, 06:18:57 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #10 on: August 26, 2017, 04:16:16 AM »
68308da            [crop] Set alpha in the green bars to 0xff on all platforms
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170826-64bit HWE Xenial with x265 version 1.9

build against:
- NVIDIA VDPAU Driver Shared Library  384.69 (open source) <= CHANGED
« Last Edit: October 03, 2017, 06:19:13 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #11 on: August 29, 2017, 04:19:43 PM »
e8d4367            [GUI] Warn about cut being not on a keyframe right away
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170829-64bit HWE Xenial with x265 version 1.9

build against:
- Linux 4.10.0-33-generic (linux-image-4.10.0-33-generic                4.10.0-33.37~16.04.1) <= CHANGED
« Last Edit: October 03, 2017, 06:19:30 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #12 on: August 30, 2017, 12:44:57 PM »
3c10cac            [GUI] Don't warn about cuts being not on intra repeatedly or if an earlier cut/paste operation was the true reason
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170830-64bit HWE Xenial with x265 version 1.9
« Last Edit: October 03, 2017, 06:19:52 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #13 on: August 31, 2017, 05:02:35 AM »
f552a07            [editor] Remove forgotten unused var from checkCutIsOnIntra, reorganize debug messages a little
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170831-64bit HWE Xenial with x265 version 1.9
« Last Edit: October 03, 2017, 06:20:05 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 5671
dev branch: avidemux Cli/Qt5 2.7.0 64-bit deb on ubuntu HWE 16.04.3 LTS
« Reply #14 on: September 03, 2017, 05:43:12 AM »
3f4bfa2            [GUI] Rewind to avert a crash deleting a chunk of video when seek fails
ubuntu HWE 16.04.3 LTS 64 bit x86 SMP, QT5, x265 version 1.9: avidemux 2.7.0 170903-64bit HWE Xenial with x265 version 1.9
« Last Edit: October 03, 2017, 06:20:18 AM by Jan Gruuthuse »